> ## Documentation Index
> Fetch the complete documentation index at: https://pinata-docs-agent-updates-2026-06.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove CIDs from a Group



## OpenAPI

````yaml delete /groups/{id}/cids
openapi: 3.0.0
info:
  title: Pinata API
  description: ''
  termsOfService: https://www.pinata.cloud/terms-conditions
  contact:
    name: Pinata Team
    email: team@pinata.cloud
  version: 1.0.0
servers:
  - url: https://api.pinata.cloud
security:
  - bearerAuth: []
paths:
  /groups/{id}/cids:
    delete:
      tags:
        - default
      summary: Remove CIDs from a Group
      parameters:
        - name: id
          in: path
          schema:
            type: string
          required: true
          example: eaa137d2-fc36-43dd-80c1-cba1fd6c798e
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                cids:
                  type: array
                  items:
                    type: string
              example:
                cids:
                  - QmVLwvmGehsrNEvhcCnnsw5RQNseohgEkFNN1848zNzdng
                  - bafkreih5aznjvttude6c3wbvqeebb6rlx5wkbzyppv7garjiubll2ceym4
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Wed, 03 Jul 2024 18:18:07 GMT
            Content-Type:
              schema:
                type: string
                example: text/plain; charset=utf-8
            Content-Length:
              schema:
                type: integer
                example: '2'
            Connection:
              schema:
                type: string
                example: keep-alive
            X-Powered-By:
              schema:
                type: string
                example: Express
            Vary:
              schema:
                type: string
                example: Origin
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
                example: 'true'
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '180'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '179'
            X-RateLimit-Reset:
              schema:
                type: integer
                example: '1720030748'
            ETag:
              schema:
                type: string
                example: W/"2-nOO9QiTIwXgNtWtBJezz8kv3SLc"
            Strict-Transport-Security:
              schema:
                type: string
                example: max-age=15724800; includeSubDomains
            X-Request-Id:
              schema:
                type: string
                example: 9e9c8f2f5564cea2688298bd47d484fc
          content:
            text/plain:
              schema:
                type: string
              example: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````